/*
--------------------------------------------------------------------------------
NOKIA Devices
R&D Oulu
Adaptation ISA SW
System Infra / Cellmo Infra / connlayer


#####    ####       #    #   ####    #####      ######  #####      #     #####
#    #  #    #      ##   #  #    #     #        #       #    #     #       #
#    #  #    #      # #  #  #    #     #        #####   #    #     #       #
#    #  #    #      #  # #  #    #     #        #       #    #     #       #
#    #  #    #      #   ##  #    #     #        #       #    #     #       #
#####    ####       #    #   ####      #        ######  #####      #       #


You are not allowed to make you own version of this file containing you own
modifications. The reason for this is that the constants defined in here
need to have a unique value that must not change over time and between products.
If your own not approved numbers end up in your final product, this product might
not be compatible with standard Nokia tools and accessories.

Do not change this warning.

If you have any questions please contact Harri.J Maatta

By authority of the ISA Management Team



                        Definitions Of The PhoNet Constants
                        -----------------------------------
                        SW Include Document



Continuus Project:      coresw

%version:               ou1core#135 %

File Name:              pn_const.h

Type:                   incl

Instance:               ou_pcms#1



Copyright (c) 1999 Nokia. All rights reserved. This material, including
documentation and any related computer programs, is protected by copyright
controlled by Nokia. All rights are reserved. Copying, including reproducing,
storing, adapting or translating, any or all of this material requires the prior
written consent of Nokia. This material also contains confidential information,
which may not be disclosed to others without the prior written consent of Nokia.


Change History:

VERSION     : 135   -   09-Sep-2008         Harri.j Maatta
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: HM08090939312
DESCRIPTION : Provided new extended resource ID:
              PN_SM_ROUTER_EXTENDED         SWAM ADB: TH08082856268
              
VERSION     : 134   -   02-Sep-2008         Harri.j Maatta
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: HM08090231630
DESCRIPTION : Provided new extended resource ID:
              PN_VOLUME_EXTENDED            SWAM ADB: LK08072854515
              
VERSION     : 133   -   25-Aug-2008         Harri.j Maatta
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: HM08082535373
DESCRIPTION : Provided new extended resource ID:
              PN_NOKIA_ACCOUNT_EXTENDED     SWAM ADB: PH08081469744
              
VERSION     : 132   -   30-Jun-2008         Harri.j Maatta
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: HM08063036824
DESCRIPTION : Provided new extended resource ID:
              PN_NAPPS_EXTENDED             SWAM ADB: TM08061641082
              
VERSION     : 131   -   04-Jun-2008         Markus Kinnunen
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: EK08060546920
DESCRIPTION : Provided new extended resource ID:
              PN_CONTEXT_EXTENDED           SWAM ADB: CM08051664320
              Provided new resource ID's:
              PN_MODEM_MON_1 -> PN_MODEM_MCE,
              PN_MODEM_MON_4 -> PN_MODEM_INFO,
              PN_MODEM_TEST                 SWAM ADB: KK08052755993

VERSION     : 130   -   13-May-2008         Markus Kinnunen
REASON      : SCO 401-4493: PhoNet Addressing modification
REFERENCE   : Inspection minutes:           SWAM ADB:
DESCRIPTION : PN_DEV_FIRST_FIXED changed:   SWAM ADB: EK08031955554
              #define PN_DEV_FIRST_FIXED 0x10.

VERSION     : 129   -   07-May-2008         Markus Kinnunen
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: EK08050538370
DESCRIPTION : Provided new resource type:
              PN_RES_TYPE_ISA               SWAM ADB: AP08040850487
              Provided new extended resource ID:
              PN_MAPS_EXTENDED              SWAM ADB: AP08040850487
              Provided new resource ID's:
              PN_AT_MODEM,
              PN_AT_APPL                    SWAM ADB: VA08041539002
              PN_MODEM_LCS                  SWAM ADB: JK08042947766

VERSION     : 128   -   10-Apr-2008         Markus Kinnunen
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: EK08041143836
DESCRIPTION : Provided new resource ID's:
              PN_UICC                       SWAM ADB: JI08030542379
              PN_MODEM_SIM_SRV              SWAM ADB: JI08030546303
              Removed unused resource ID's:
              PN_CDMA_1 -> PN_CDMA_12       SWAM ADB: LJ06100336394

VERSION     : 127   -   26-Feb-2008         hanfang
REASON      : Merge
REFERENCE   : -
DESCRIPTION : Merge of versions markukin 126 and hanfang 126

VERSION     : 126   -   06-Feb-2008         Markus Kinnunen
REASON      : SCO
REFERENCE   : 417-761: pn_const: Chipset Audio HAL changes
DESCRIPTION : Provided new alias:           SWAM ADB: EK08020638241
              #define PN_HAL_AUDIO      PN_DSP_AUDIO

VERSION     : 125   -   16-Jan-2008         Markus Kinnunen
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: EK08011747155
DESCRIPTION : Provide new media field constant:
              PN_MEDIA_HOST_SSI             SWAM ADB: TG07111540041
              Provided new resource ID's:
              PN_METADATA                   SWAM ADB: SH07120738472

VERSION     : 124   -   19-Dec-2007         Markus Kinnunen
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: EK07121944944
DESCRIPTION : Provided new resource ID's:
              PN_VENDOR_SPECIFIC_TESTS      SWAM ADB: AP07102444857
              PN_MODEM_NETWORK,
              PN_MODEM_CALL                 SWAM ADB: SM07111946571

VERSION     : 123   -   23-Oct-2007         Markus Kinnunen
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: EK07102356406
DESCRIPTION : Provided new resource ID:
              PN_RESOURCE_MANAGER           SWAM ADB: JJ07090433078

VERSION     : 122   -   29-Jun-2007         Markus Kinnunen
REASON      : Inspection
REFERENCE   : Inspection minutes:           SWAM ADB: EK07062646268
DESCRIPTION : Provided new extended resource type:
              PN_RES_TYPE_SOS_FIELD_TEST    SWAM ADB: TV07042027515
              Provided new resource ID's:
              PN_GBA                        SWAM ADB: AR07051658604
              PN_DYNAMIC_LOADER             SWAM ADB: EP07043051889
              PN_MODEM_MON_1, PN_MODEM_MON_2,
              PN_MODEM_MON_3 and PN_MODEM_MON_4
              Provided new alias:
              #define PN_TRACEBOX       PN_OSTRICH
              #define PN_DEV_TRACEBOX   PN_DEV_OSTRICH
                                            SWAM ADB: LJ07061448837
              Removed unused PN_DEV_* device ID's:
              PN_DEV_HOST_SERV,
              PN_DEV_HOST_APP,
              PN_DEV_HOST_DYN_SERV,
              PN_DEV_HOST_DYN_APP,
              PN_DEV_ADV_HF,
              PN_DEV_AMPS_RM,
              PN_DEV_MTOOL,
              PN_DEV_DATA_CARD,
              PN_DEV_CARD_PHONE_HOST,
              PN_DEV_VOICE_MATE,
              PN_DEV_GPS,
              PN_DEV_CAR_CRADLE,
              PN_DEV_HS,
              PN_DEV_WMA,
              PN_DEV_ADV_DS,
              PN_DEV_PDA                    SWAM ADB: JK07011146982

VERSION     : 121   -   12-Apr-2007         Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK07041351714
DESCRIPTION : Provided new resource ID's:
              PN_LANDMARK              SWAM ADB: AP07032648024
              PN_MOBICAST              SWAM ADB: JV07022745909
              PN_SOS_MOBILECRASH_EXTENDED
                                       SWAM ADB: TV07022837837
              PN_FWD_ERR_CORR          SWAM ADB: JV07022829850

VERSION     : 120   -   24-Feb-2007         Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK07022457112
DESCRIPTION : Provided new resource ID's:
              PN_MOB_POLICY            SWAM ADB: TK07020144854
              Change the current PN_COMMON defintion to be
              an alias for PN_NVD.     SWAM ADB: LK03042547751

VERSION     : 119   -   29-Jan-2007         Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK07012947209
DESCRIPTION : Provided new resource ID's:
              PN_PAYLOAD_TEST          SWAM ADB: KN07011736101
              PN_IP_COMMS              SWAM ADB: JK07011237387

VERSION     : 118   -   20-Nov-2006         Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06112051635
DESCRIPTION : Provided new resource ID:
              PN_CUSTOM_IDLE           SWAM ADB: JM06110132553
              PN_BACKUP                SWAM ADB: KH06111047329
              PN_FIM                   SWAM ADB: YY06102639294
              Furthermore PN_AOC has been removed because it
              is not used any longer (Reference Leif Karilainen)

VERSION     : 117       31-Oct-2006         Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06103134738
DESCRIPTION : Provided new device ID:
              PN_DEV_SOS
              Provided new alias media ID:
              PN_MEDIA_SOS (alias to  PN_MEDIA_ENOS)
              Provided new resource type:
              PN_RES_TYPE_SOS          SWAM ADB: TV06100542286

              Furthermore PN_NAI has been removed because it has never taken
              into use (Reference: Leif Karilainen)

VERSION     : 116       2-Oct-2006         Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06100253339
DESCRIPTION : Provided new resource ID:
              PN_NATT                  SWAM ADB: TK06090132821

VERSION    :  115       8-Sep-2006         Jens Kristoffersen
REASON     :  Failing Cantata tests
REFERENCE  :  -
DESCRIPTION:  No MCU code changed. For test purposes only new settings defined
              under flag

VERSION    :  114       28-Aug-2006          Jens Kristoffersen
REASON     :  SCO: Restructuring of the Phonet header-file structure.
REFERENCE  :  WP RM-RIM SCO: 006-5259: SWAM CR: JK06032331288
              SWAM inspection: JK06062143049
DESCRIPTION:  A lot of contants moved from this file to relevant
              files where they belongs. Compare with previous version of pn_const.h
              to see exactly which ones are moved.
              Also some constants have been removed as they don't seem to be used:
                PNS_AUTHENTICATION_REQ,
                PNS_AUTHENTICATION_RESP,
                PNS_CHALLENGE_REQ
                PNS_CHALLENGE_RESP
                PNS_AUTH_LEVEL_REQ
                PNS_AUTH_LEVEL_RESP
                PNS_AUTH_LEVEL_IND
                PNS_QUERY_FUNCTION_ROUTING
                PNS_ADD_FUNCTION
                PNS_REMOVE_FUNCTION
             Provided new alias for existing resource ID's:
                 PN_SOS_MON            SWAM ADB: TV06080926477
                 PN_MEDIA_TRANSFER     SWAM ADB: MS06070551661

VERSION     : 113       05-Jul-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06070534476
DESCRIPTION : Upps. An unterminated comment

VERSION     : 112       26-Jun-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06070534476
DESCRIPTION : Extended resource id functionality introduced. Due
              to that some new macros/constants are introduced:
                PN_RES,
                PN_NUMBER_OF_EXTEND_RES,
                PN_NUMBER_OF_NOT_EXTEND_RES,
                PN_TOTAL_NUMBER_OF_RES
              And new message id's (sub functions):
                PNS_SUBSCRIBED_RESOURCES_EXTEND_IND
                PNS_SUBSCRIBED_RESOURCES_PMM_EXTEND_IND
                                       SWAM ADB: JK06052930857

VERSION     : 111   -   19-Jun-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06061554073
DESCRIPTION : It seems like someone is still using PN_AOC and therefore that
              resource is reintroduced.

VERSION     : 110   -   13-Jun-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06061554073
DESCRIPTION : Cleaning up. 25 unused resource ids related to wran have been
              removed. Compared with previous version of pn_const.h to see
              the exact ones. Also PN_AOC is removed
              The description of PN_WRAN changed.

              Provided new resource ID's:
              PN_IM                    SWAM ADB: YG06052466505
              PN_EUTRAN_L2, PN_EUTRAN_L1 and PN_RF_HAL
                                       SWAM ADB: JV06060629534

              Changed name on pn pep subtypes: PN_PEP_SUB_TYPE_OBEX_BT_BPP_BIP_IMAGE_PUSH to
                                               PN_PEP_SUB_TYPE_OBEX_BT_BIP_IMAGE_PUSH
                                       SWAM ADB: MS06060646957

              Provided new device ID's:
              PN_DEV_MODEM_HOST_1
              PN_DEV_MODEM_HOST_2
              PN_DEV_MODEM_HOST_3
              PN_DEV_MODEM_HOST_4      SWAM ADB: JV06060627999


VERSION     : 109   -   17-May-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06052227067
DESCRIPTION : Provided new resource ID:
              PN_KODIAK                SWAM ADB:  FA06041050047
              Provided new pep subtypes:
              PN_PEP_SUB_TYPE_OBEX_BT_PBAP
                                       SWAM ADB: CZ06050952647
              PN_PEP_SUB_TYPE_OBEX_BT_BPP_DPS
                                       SWAM ADB: CZ06051227409
              PN_PEP_SUB_TYPE_OBEX_BT_BPP_BIP_IMAGE_PUSH
                                       SWAM ADB: CZ06051230730

VERSION     : 108   -   05-Apr-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06040547317
DESCRIPTION : Provided new pep subtype:
              PN_PEP_IND_MCFC_GRANT_CREDITS
                                       SWAM ADB: TN06032089582

VERSION     : 107   -   28-Mar-2006          Jens Kristoffersen
REASON      : Inspection, One more resource has been added
              compared to version 106.
REFERENCE   : Inspection minutes:      SWAM ADB:  JK06032828280
DESCRIPTION : Provided new resource ID(s):
              PN_SOS_AUDIO             SWAM ADB:  JU06011133209
              PN_UI_STARTUP_CTRL       SWAM ADB:  JE06031740770
              Provided new pep subtype:
              PN_PEP_SUB_TYPE_COMM_ATK_AT_COMMAND
                                       SWAM ADB:  KS06032045381

VERSION     : 106   -   28-Mar-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB:  JK06032828280
DESCRIPTION : Provided new resource ID:
              PN_SOS_AUDIO             SWAM ADB:  JU06011133209
              Provided new pep subtype:
              PN_PEP_SUB_TYPE_COMM_ATK_AT_COMMAND
                                       SWAM ADB:  KS06032045381

VERSION     : 105   -   01-Feb-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB:  JK06020136240
DESCRIPTION : Provided new resource ID's:
              PN_MY5                   SWAM ADB:  MP06012641797
              PN_PRI                   SWAM ADB:  EH06012059794
              Provide new media field constant:
              PN_MEDIA_DEFAULT         PCP error: NY05121350869

VERSION     : 104   -   26-Jan-2006          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK06012653007
DESCRIPTION : Provided new resource ID's:
              PN_VAM                   SWAM ADB: VW06011689031
              PN_WWAN                  SWAM ADB: DR06012375257

VERSION     : 103   -   21-Dec-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK05122149915
DESCRIPTION : Provided new resource ID's:
              PN_POC_GROUP             SWAM ADB: AB05111749914
              PN_ISA_SETTINGS          SWAM ADB: PR05121231230
              Provided new service ID:
              PN_SERVICE_LCIF          SWAM ADB: AB05121447919

VERSION     : 102   -   17-Nov-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK0511228617
DESCRIPTION : Provided new resource IDs:
              PN_PRESENCE              SWAM ADB: ML05111035901
              PN_XCAP                  SWAM ADB: ML05111035086

VERSION     : 101   -   24-Oct-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK05082331863
DESCRIPTION : Provided new device type: PN_DEV_FASTTRACE
                                       SWAM ADB: LJ05071448325
              Provided new resource ID:
              PN_POC_UI                SWAM ADB: AS05100742984

VERSION     : 100   -   05-Jul-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK05070552571
DESCRIPTION : Provided new pep subtype: PN_PEP_TYPE_FLUSH
                                       SWAM ADB: CZ05062450627
              Provided new pep type and subtypes:
              PN_PEP_TYPE_ETHERNET
              PN_PEP_SUB_TYPE_ETHERNET_WLAN
              PN_PEP_SUB_TYPE_ETHERNET_BT_PAN
                                       SWAM ADB: VS05060326658

VERSION     : 99   -    08-Jun-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK05060835671
DESCRIPTION : Provided new pep subtype: PN_PEP_TYPE_LCIF
                                       SWAM ADB: TN05060244709

VERSION     : 98   -    01-Jun-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:      SWAM ADB: JK05060228357
DESCRIPTION : Provided new resource IDs:
              PN_IMS                   SWAM ADB: TM05042249734
              PN_SOS_PERM              SWAM ADB: TV05041239774
              PN_CDMA_DO_CTRL          SWAM ADB: GC05042852310
              PN_CDMA_DO_DATA          SWAM ADB: GC05042852746

VERSION     : 97   -    25-Apr-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:       SWAM ADB: JK05042558740
DESCRIPTION : Provided new resource IDs:
              PN_MCL_ENGINE             SWAM ADB: JL05032314762
              PN_TRACFONE               SWAM ADB: BJ05032537973

VERSION     : 96   -    22-Feb-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:       SWAM ADB: JK05022430730
DESCRIPTION : Provided new pep subtype:
              PN_PEP_SUB_TYPE_COMM_VIDEO_TELEPHONY
                                        SWAM ADB: TN05021638227

VERSION     : 95   -    02-Feb-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:       SWAM ADB: JK05021134501
DESCRIPTION : Provided new resource IDs:
              PN_WLAN                   SWAM ADB: AS05012448650
              PN_NEWS_DELIVERY          SWAM ADB: AM05010457249
              PN_CDMA_DSP_DO_L1         SWAM ADB: GC05012648498
              PN_EAP_AUTH               SWAM ADB: AS05012453349
              New Service constant:
              PN_SERVICE_DPS            SWAM ADB: JK05020350750
              New notification:
              PNS_SUBSCRIBED_RESOURCES_PMM_IND
                                        SWAM ADB: LJ04122159409

VERSION     : 94   -    03-Jan-2005          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:       SWAM ADB: JK05010347133
DESCRIPTION : Provided new resource IDs:
              PN_HARDCORE               SWAM ADB: PK04071641471
              PN_SOS_UMA                SWAM ADB: JO04111532355
              PN_PRINT                  SWAM ADB: CZ04112642223
              PN_VIDEO_PROTOCOL         SWAM ADB: AP04120935274

VERSION     : 93   -    03-Nov-2004          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:       SWAM ADB: JK04110130690
DESCRIPTION : Updated with a comment from inspection.

VERSION     : 92   -    01-Nov-2004          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:       SWAM ADB: JK04110130690
DESCRIPTION : Provided new PEP type:
              PN_PEP_SUB_TYPE_OBEX_BT_IRMC_SYNC
                                        SWAM ADB: PC04100768047
              Provided new resource ID:
              PN_NAI                    SWAM ADB: CJ04090234892

VERSION     : 91   -    13-Sep-2004          Jens Kristoffersen
REASON      : Inspection
REFERENCE   : Inspection minutes:       SWAM ADB: JK04091729755
DESCRIPTION : Provided new resource ID's:
              PN_VTBTEST                SWAM ADB: SC04062851048
              PN_DP2DL                  SWAM ADB: CA04072082707
              Remove unused PEP types:
              PN_PEP_TYPE_NLCP          SWAM ADB: TN04082573639
              PN_PEP_TYPE_DCP           SWAM ADB: TN04082576390
              Remove unused CTRL IDs for PN_PEP_TYPE_SOCKECT_BEARER:
              PNS_PEP_CTRL_OPEN_NW...   SWAM ADB: TN04081843788

VERSION     : 90   -    29-Jul-2004         Jens Kristoffersen
REASON      : Inspection, a new CR and a PCP error
REFERENCE   : See Inspection Minutes in SWAM ADB: JK04062449432
DESCRIPTION : A new PEP type:
              PN_PEP_TYPE_BT_HFP_HF     SWAM ADB: PC04061631519
              A PCP error corrected for:
              PN_NAME_IRDA_OBEX_PEP     PCP error: BT04072833414

VERSION     : 89   -    23-Jun-2004         Jens Kristoffersen
REASON      : New version due to Continuus upgrade
REFERENCE   : See the changes in version history for version 88
DESCRIPTION : -

VERSION     : 88   -    07-Jun-2004         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK04062449432
DESCRIPTION : Provided a new resource ID:
              PN_MESSAGE_PROTOCOL                SWAM ADB:  AV04052442966
              Provided new alias:
              PN_SOS_TEST
              PN_SOS_SELFTEST                    SWAM ADB:  PA04041946345
              4 new MCTRL related msg are introduced:
                 PNS_MEDIA_ENABLE_SERVICE_REQ
                 PNS_MEDIA_ENABLE_SERVICE_RESP
                 PNS_MEDIA_DISABLE_SERVICE_REQ
                 PNS_MEDIA_DISABLE_SERVICE_RESP  SWAM ADB:  JK04060326822

VERSION     : 87   -    03-May-2004         Jens Kristoffersen
REASON      : Updated with more changes.
REFERENCE   : Inspection minutes: SWAM ADB: JK04042749068
DESCRIPTION : Changes done since version 84:
              Provided with new resource ID:
              PN_MESSAGE_STORAGE    SWAM ADB: MR04041444734
              CDMA servers provided with new signature.[R]->[S]:
                                    SWAM ADB: JK04042928505
              New PEP sub type is added: PN_PEP_SUB_TYPE_SYMBIAN_INTERNAL
                                    SWAM ADB: AP04040368411

VERSION     : 86   -    27-Apr-2004         Jens Kristoffersen
REASON      : LN Inspection Agenda lost
REFERENCE   : -
DESCRIPTION : Inspection minutes for version 85 was lost. New one created:
              SWAM ADB: JK04042749068

VERSION     : 85   -    27-Apr-2004         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK04042738311
DESCRIPTION : Provided a new resource ID:
              PN_MESSAGE_STORAGE    SWAM ADB: MR04041444734

VERSION     : 84   -    29-Mar-2004         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK04032930380
DESCRIPTION : New MCTRL related msg pair is introduced:
                   PNS_MEDIA_REMOVE_LISTENER_REQ
                   PNS_MEDIA_REMOVE_LISTENER_RESP      SWAM ADB: JK04032553454

VERSION     : 83   -    04-Mar-2004         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK04030544222
DESCRIPTION : New pep:PN_PEP_TYPE_COMMON_ONE_CREDIT    SWAM ADB: HL04022038793
              4 new MCTRL related msg introduced:
                   PNS_MEDIA_ADD_LISTENER_REQ
                   PNS_MEDIA_ADD_LISTENER_RESP
                   PNS_MEDIA_CONNECTED_NTF
                   PNS_MEDIA_DISCONNECTED_NTF
              4 new error codes introduced:
                   PN_MCTRL_ERR_MAX_CON_REACHED
                   PN_MCTRL_ERR_LINK_LOSS
                   PN_MCTRL_ERR_SECURITY
                   PN_MCTRL_ERR_MM_SPECIFIC            SWAM ADB: JK04022431992

VERSION     : 82   -    01-Mar-2004         Jens Kristoffersen
REASON      : Error found during inspection.
REFERENCE   : Inspection Minutes in SWAM ADB: JK04022439815
DESCRIPTION : "PN_UDM" should be an alias for "PN_UTS". This means that the
              existing name "PN_UTS" are kept.

VERSION     : 81   -    24-Feb-2004         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK04022439815
DESCRIPTION : Provided 4 new resource ID's for CDMA purposes.
              PN_CDMA_9.. PN_CDMA_12    SWAM ADB: AH04013025031
                  New id's not used before

              Change symbolic name for existing resource id:
              "PN_UDM" to be changed to "PN_UTS"  SWAM ADB SS04020447582

VERSION     : 80   -    19-Jan-2003         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK03121936520
DESCRIPTION : Provided a resource ID for the WTA server:
              PN_WTA                    SWAM ADB: EM04010846703
                  New id not used before

              Added 2 new PN_REGISTRATION sub-functions:
                                        SWAM ADB: JK03122230650

VERSION     : 79   -    15-Dec-2003         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK03121544300
DESCRIPTION : Provided a resource ID for two new servers named:
              PN_LCIF                    SWAM ADB: TN03121148350
                  Replaces  PN_MISC_AD_CONTROL
              PN_ODIN                    SWAM ADB: JS03120437744
                  New id not used before

              Provided new PEP type:
              PN_PEP_SUB_TYPE_OBEX_ODIN  SWAM ADB: JS03111363200

VERSION     : 78   -    10-Nov-2003         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK03111133928
DESCRIPTION : Provided a resource ID for two new servers named:
              PN_UDM                     SWAM ADB: SS03100831524
                  Replaces  PN_FIW_SETTINGS
              PN_THEME                   SWAM ADB: OO03102236491
                  Replaces  PN_IR

VERSION     : 77   -    29-Oct-2003         Jens Kristoffersen
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JK03102949391
DESCRIPTION : Changing PN_PROVISIONING from being an alias so it now has
              its own resource ID              SWAM ADB: AP03052739470
                  Replaces PN_RS232

VERSION     : 76   -    20-Oct-2003         Jens Kristoffersen
REASON      : Improvement and wrong SWAM reference.
REFERENCE   : Inspection Minutes in SWAM ADB: JK03102034463
DESCRIPTION : The SWAM references in the 'Change History' for version 74
              have been corrected one more time (sorry!!).
              Furthermore is provided a resource ID to a new server named
              PN_FUNC_COVER                    SWAM ADB: SM03100848454
                  Replaces PN_MODE

VERSION     : 75   -    07-Oct-2003         Jens Kristoffersen
REASON      : Wrong SWAM reference
REFERENCE   : -
DESCRIPTION : The SWAM reference in the 'Change History' for version 74
              has been corrected.

VERSION     : 74   -    07-Oct-2003         Jens Kristoffersen
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JK03100734323
DESCRIPTION : Provided a resource ID to a new server named
              PN_SOS_ADL                        SWAM ADB: ER03092444135
                  Replaces PN_POS

VERSION     : 73   -    12-Aug-2003         Jens Kristoffersen
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JK03081233243
DESCRIPTION : The flag PN_MEDIA_IND_CONFLICT is added

VERSION     : 72   -    15-Jul-2003         Rasmus Villefrance
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: RV03071452682
DESCRIPTION : PN_PROVISIONING made an alias
              for PN_WAP_CONN                   SWAM ADB: AP03052739470
              PN_DATA_TEST added                SWAM ADB: JO03061139082
                  Replaces PN_FIW_LA

VERSION     : 71   -    02-Jun-2003         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE03060233952
DESCRIPTION : PN_COMMON should not be an alias for PN_NVD
              PN_JAVA added                     SWAM ADB: AH03052160603
                  Replaces PN_MTC

VERSION     : 70   -    23-May-2003         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE03052346572
DESCRIPTION : PN_COMMON made an alias for
              PN_NVD                            SWAM ADB: LK03042547751
              PN_DSP_MUSIC added                SWAM ADB: PK03050252772
              New PEP type PN_PEP_TYPE_SAP      SWAM ADB: PC03051948582

VERSION     : 69   -    28-Apr-2003         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE03042835284
DESCRIPTION : PN_BLACKBERRY_EMAIL               SWAM ADB: DD03033132563
                  Replaces PN_DISP
              PN_SETTINGS                       SWAM ADB: ET03032564978
                  Replaces PN_UI_SETTINGS, but PN_UI_SETTINGS will be
                  kept as an alias.

VERSION     : 68   -    14-Mar-2003         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE03031456980
DESCRIPTION : PN_RTSP                           SWAM ADB: PK03021243618
                  Replaces PN_AMPS_RM
              PN_SENSOR                         SWAM ADB: JB03030658979
                  Replaces PN_GMS
              Some PEP subtypes added           SWAM ADB: JL03013160820

VERSION     : 67   -    07-Feb-2003         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE03020752938
DESCRIPTION : PN_DSP_COMMON_TEST                SWAM ADB: AH03012135035
              PN_WALLET_SECURITY                SWAM ADB: TP03012249318
                  Replaces PN_GAME.

VERSION     : 66   -    17-Jan-2003         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE03011741181
DESCRIPTION : PN_DSP_SELF_TEST                  SWAM ADB: AH02121041769
              PN_TUNEPLAYER                     SWAM ADB: MH03010849278
              PN_SIM_ATK changed to be an alias for PN_ATK

VERSION     : 65   -    02-Dec-2002         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE02120235865
DESCRIPTION : PN_LOCAL_CONNECTIVITY             SWAM ADB: AO02101850363
              PN_IMPS_CONTACTS                  SWAM ADB: CB02101033158
              PN_MESSAGING                      SWAM ADB: DD02092049683
              PN_POC                            SWAM ADB: RP02111439500
              PN_HTTPSRV                        SWAM ADB: VR02110848972
              PN_DEV_TYPE_ACCESSORY added.

VERSION     : 64   -    11-Nov-2002         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE02111159687
DESCRIPTION : PN_I2C, PN_MEDIA_I2C and
              PN_PEP_TYPE_NLCP added            SWAM ADB: JE02101452059

VERSION     : 63   -    10-Oct-2002         Joergen Edelbo
REASON      : Improvement.
REFERENCE   : Inspection Minutes in SWAM ADB: JE02101448445
DESCRIPTION : PNS_MEDIA_SPECIFIC_NTF added      SWAM ADB: VS02100232090
              PN_BLUETOOTH_CORE added           SWAM ADB: MB02091353567
              PN_PEP_TYPE_RAN_SYNC added        Informal request

VERSION     : 62   -    05-Sep-2002         Joergen Edelbo
REASON      : Error correction. Improvement.
REFERENCE   : PCP error : MK02082955121 and PH02083045688
              Inspection Minutes in SWAM ADB: JE02090548938
DESCRIPTION : All PN_WTLS made APPROVED
              PN_MEDIA_RTDX added               SWAM ADB: EM02073165311
              PN_LOCATION_STORAGE added         SWAM ADB: MR02070544422
              PN_CORESW_DSP                     SWAM ADB: TL02082750070

VERSION     : 61   -    09-Aug-2002         Joergen Edelbo
REASON      : Change requests
REFERENCE   : Inspection Minutes in SWAM ADB: JE02080942627
DESCRIPTION : PN_IMPS added                     SWAM ADB: HM02051345643
              PN_ATK added                      SWAM ADB: MS02062646963

VERSION     : 60   -    05-Jul-2002         Jesper Sandberg
REASON      : Error correction.
REFERENCE   : PCP error : TM02070352940
DESCRIPTION : All WCDMA RAN resources made APPROVED

VERSION     : 59   -    27-Jun-2002         Jesper Sandberg
REASON      : Change requests
REFERENCE   : ISA RM id : 7074
DESCRIPTION : PNS_MEDIA_BYPASS_MCTRL_REQ and PNS_MEDIA_BYPASS_MCTRL_RESP has
              been added.

VERSION     : 58a   -   20-Jun-2002         Joergen Edelbo
REASON      : Change requests
REFERENCE   : Inspection Minutes in SWAM ADB: JE02061948268
DESCRIPTION : PN_FEATURE_CONTROL added as alias         SWAM ADB: SB02052054642

VERSION     : 57    -   06-Jun-2002         Joergen Edelbo
REASON      : Error correction
REFERENCE   : PCP Error TS02060558645
DESCRIPTION : PN_WARRANTY made APPROVED server

VERSION     : 56    -   22-May-2002         Joergen Edelbo
REASON      : Change request
REFERENCE   : ADB for TEC SW: IH02011737464
DESCRIPTION : Classification of resource id's updated to allow automatic
              generation of message checking function.

VERSION     : 55    -   16-May-2002         Joergen Edelbo
REASON      : Corrected after inspection
REFERENCE   : Defect in SWAM ADB: JE02051633457
DESCRIPTION : Reference in version history changed

VERSION     : 54    -   13-May-2002         Joergen Edelbo
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JE02051354920
DESCRIPTION : PN_ADSP_CORE added                SWAM ADB: MS02031957429
              PN_SIP added                      SWAM ADB: ML02041539463
              PN_RTP added                      SWAM ADB: KL02041528803
              PN_MUSIC added                    SWAM ADB: AF02041254194

VERSION     : 53    -   02-May-2002         Joergen Edelbo
REASON      : Improvement
REFERENCE   : Inspection Minutes in SWAM ADB: JE02050230821
DESCRIPTION : Resource IDs for WCDMA RAN        SWAM ADB: QT02041827202

VERSION     : 52    -   12-Apr-2002         Joergen Edelbo
REASON      : Improvement
REFERENCE   : PCP Error JM02041149232 and SWAM ADB: JE02040956963
DESCRIPTION : PEP sub types added

VERSION     : 51    -   20-Mar-2002         Joergen Edelbo
REASON      : Additions according to CR's
REFERENCE   : Written in description
DESCRIPTION : PN_WIM added.                     SWAM ADB: HD02031145375
              PN_CONCIERGE added                SWAM ADB: FK01080138968

VERSION     : 50    -   14-Mar-2002         Joergen Edelbo
REASON      : Additions according to CR's
REFERENCE   : Written in description
DESCRIPTION : PN_MEDIA_IND_ACTIVATED added. PCP error item NT02011432121
              PN_ADL added.                     SWAM ADB: LS01032061191
              PN_TOUCHPAD added                 SWAM ADB: LC02020764591
              CDMA specific ID range added      SWAM ADB: AT02022559157

VERSION     : 49    -   06-Feb-2002         Joergen Edelbo
REASON      : Update after inspection
REFERENCE   : -
DESCRIPTION : PN_BEARER_CONTROL changed to PN_BEARERCTRL.

VERSION     : 48    -   30-Jan-2002         Joergen Edelbo
REASON      : Additions according to CR's
REFERENCE   : Inspection Minutes in SWAM ADB: JE02013054490
DESCRIPTION : New resource id's
              * PN_AUTHENTICATION added.
              * PN_BEARER_CONTROL added.        SWAM ADB: SB01112033744
              PN_IM freed again. Action item in SWAM ADB: EE01120349317
              New PEP types and subtypes:
              PN_PEP_TYPE_DCP. PS01082132391
              PN_PEP_TYPE_TCPIP. No CR

VERSION     : 47    -   19-Nov-2001         Joergen Edelbo
REASON      : Additions according to CR's
REFERENCE   : Inspection Minutes in SWAM ADB: JE01111653537
DESCRIPTION : New resource id's
              * PN_WALLET added.                SWAM ADB: PH01101763385
              * PN_INTELLIGENT_ACC added        SWAM ADB: SC01103158474
              * PN_CONTENT_DISPATCH added       SWAM ADB: HD01110853059
              PN_NET added as alias for PN_NETWORK  SWAM ADB: RA01071035945
              New PEP types and subtypes:
              PN_PEP_TYPE_DATA_BEARER and PN_PEP_SUB_TYPE_USB* types. PS01082132391

VERSION     : 46    -   25-Sep-2001         Joergen Edelbo
REASON      : Additions according to CR's
REFERENCE   : Inspection Minutes in SWAM ADB: JE01092447297
DESCRIPTION : Strategy with sub PEP types changed. It seems to be more usable if
              sub type describes "sub-protocol" instead of "implementation type"
              * TLP PEP types redefined.        SWAM ADB: PS01021965415
              * PEP type for BlueTooth accesory SWAM ADB: VS01090587469
              * PN_BLUETOOTH added.             SWAM ADB: ES01091351980
              Some comments about WAP servers added.

VERSION     : 45    PROPOSAL   07-Jun-2001         Joergen Edelbo
REASON      : -
REFERENCE   :
DESCRIPTION : Banner added.

VERSION     : 44    PROPOSAL   06-Jun-2001         Joergen Edelbo
REASON      : Additions according to CR's
REFERENCE   : Inspection Minutes in SWAM ADB: JE01060659712
DESCRIPTION : * PN_FILE added.                  SWAM ADB: JB01052157572
              * Several TLP PEP types added.    SWAM ADB: PS01021965415
              * PN_DSP_MIDI added.              SWAM ADB: JM01032342135
              * PN_EPOC_INFO added.             SWAM ADB: MP01011739877
              * PN_DEV_BTHF added.              SWAM ADB: OJ01042341628
              Header changed to contain Continuus information.

VERSION     : 43    APPROVED   05-Apr-2001         Joergen Edelbo
REASON      : Defect item JE01040548866
REFERENCE   : Inspection Minutes in SWAM ADB: JE01040361362
DESCRIPTION : Updated according to defect item.

VERSION     : 42    APPROVED_WITH_CHANGES   03-Apr-2001         Joergen Edelbo
REASON      : Changes
REFERENCE   : Inspection Minutes in SWAM ADB: JE01040361362
DESCRIPTION :  * PN_IMODE_MAIL and PN_IMODE_PAGE_LOADER added. SWAM ADB: KH00120466861
               * PN_HTTP and PN_SSL added.  SWAM ADB: TT00110842997
               * Tagging of constants updated
               * PEP_IND_CREDIT added.

VERSION     : 41    DRAFT   03-Jan-2001         Joergen Edelbo
REASON      : -
REFERENCE   : -
DESCRIPTION : Reference in version 40 change history corrected.

VERSION     : 40    APPROVED   22-Dec-2000         Joergen Edelbo
REASON      : Changes
REFERENCE   : Inspection Minutes in SWAM ADB: JE00122243393
DESCRIPTION : * PN_DEV_SERVICE_TOOL added.    SWAM ADB: JE00122239389
              * PN_DEV_TA and PN_MEDIA_SM added. SWAM ADB: DS00111639480
              * PN_CAMERA added.              SWAM ADB: EH00120755242
              * PN_PRIVATE added.             SWAM ADB: JE00112756119
              * PNS_DEREGISTRATION_CMD added. PCP Errors: IH00122236675

VERSION     : 39    APPROVED   01-Nov-2000         Joergen Edelbo
REASON      : Changes
REFERENCE   : Inspection Minutes in SWAM ADB: JE00110152577
DESCRIPTION : * PN_EPOC_MON added.   SWAM ADB: MZ00081556564
              * PN_OBJ_EVENT_MULTICAST and PNS_SUBSCRIBED_RESOURCES_IND
                added.               SWAM ADB: ES00101854357
              * PEP_IND_REMOVE added.
              * PN_CDMA_RLP added.   SWAM ADB: CS00100637111
              * PN_IM added.         SWAM ADB: DS00092555881
              * PN_PREFIX added. Old NAME_SERVICE requirement.

VERSION     : 38    APPROVED   06-Oct-2000         Joergen Edelbo
REASON      : -
REFERENCE   : Inspection Minutes in SWAM ADB: JE00100535656
DESCRIPTION : PN_DEV_TRACE changed back again.

VERSION     : 37    PROPOSAL   05-Oct-2000         Joergen Edelbo
REASON      : ISA Change request review AT00091046402
REFERENCE   : Inspection Minutes in SWAM ADB: JE00100535656
DESCRIPTION : * PN_MEDIA_DADI added. SWAM ADB: KN00080947422.
              * PN_SYNCML added.     SWAM ADB: ML00062733504
              * PN_VERSIT added. PN_VCS and PN_VCF defined as synonyms for the
                same value.          SWAM ADB: RL00082239254
              * PN_DEV_TRACE changed to 0xF8 to be different from PN_DEV_GLOBAL
                in the upper 6 bits.

VERSION     : 36    APPROVED   23-Jun-2000         Joergen Edelbo
REASON      : Changes
REFERENCE   : JE00062354058
DESCRIPTION : PNS_MEDIA_FTD... message id's defined
              PN_MSG_PRIORITY... constants added.
              PN_VOICE added. SWAM ADB: MY00041150416
              PN_ROUTER added. SWAM ADB: JE00061344201

VERSION     : 35    DRAFT      30-May-2000         Joergen Edelbo
REASON      : Change
REFERENCE   : -
DESCRIPTION : PN_MEDIA_IND_INACTIVE added

VERSION     : 34    APPROVED   29-May-2000         Joergen Edelbo
REASON      : Update after inspection
REFERENCE   : Inspection Minutes in SWAM ADB: JE00052247954
DESCRIPTION : DOWRD replaced by DWORD.

VERSION     : 33    PROPOSAL   22-May-2000         Joergen Edelbo
REASON      : ISA MT #5 (Teleconf & Netmeeting) AT00050837919
REFERENCE   : Inspection Minutes in SWAM ADB: JE00052247954
DESCRIPTION : * PN_EPOC_TEST and PN_EPOC_SELFTEST added. SWAM ADB: JP00050556360
              * PN_SIM_ATK added. SWAM ADB: MN00042837366
              * New value for PN_WCDMA_CS_PH. SWAM ADB: JV00050953762
              * PN_DSP_CORE, PN_DSP_VIDEO and PN_DSP_VOICE added. SWAM ADB: AH00041437421
              * Some DWORD support added to RPC, Action DB for AS SW: JM00030946332
              * PN_MCTRL_ERR_DENIED added.
              * PN_PEP_IND_DATA_SIZE added.
              * PNS_DEV_ADDED_IND and PNS_DEV_REMOVED_IND added.
                Might be needed in the near future. (Final registration document missing)


VERSION     : 32    NON-DRAFT  02-May-2000         Joergen Edelbo
REASON      : ISA change requests. SWAM ADB JE00041447309
REFERENCE   : Inspection Minutes in SWAM ADB: JE00050163786
DESCRIPTION : PN_REG_FIELD_H2H_* fields added
              PN_DEV_REMOTE_HOST added.
              PN_LOCATION added
              PN_TODO added
              PN_SMC added
              PN_VRR added
              Some function limits adjusted (Might not be the final solution)
              PN_MEDIA_BT as alias for PN_MEDIA_LPRF added
              Some editorial changes to pipe constants

VERSION     : 31    NON-DRAFT  24-Mar-2000         Joergen Edelbo
REASON      : Changes.
REFERENCE   : Inspection Minutes in Lotus Notes SWAM ADB: JE00032450404
DESCRIPTION : * New MEDIA activate/deactivate message id's added.
              * PNS_PIPE_REDIRECTED_IND added

VERSION     : 30    NON-DRAFT  17-Mar-1999         Isto Hunttila
REASON      : Changes.
REFERENCE   : Inspection Minutes in Lotus Notes SWAM ADB: IH00031644526
DESCRIPTION : * PN_FLASHBOX added (synonym for PN_SECBOX),
                Mail from ext-Jukka Kinnunen.
              * Synonyms for PNS_PIPE_RECREATE_REQ and PNS_PIPE_RECREATE_RESP
                added (PNS_PIPE_REDIRECT_REQ, PNS_PIPE_REDIRECT_RESP),
                Mail from CL team (Joergen Edelbo).
              * New PEP type added (PN_PEP_TYPE_TCH),
                SWAM ADB: TP99090150698
              * New PEP sub type PN_PEP_SUB_TYPE_GSM_TCH
              * Added PN_DSP_GPRS,
                SWAM ADB: TP00022236238
              * Added PN_GPDS (synonym for PN_GPRS. PN_GPRS is not used any more)
                SWAM ADB: AS00030833400
              * Added new media PN_MEDIA_MAD (MCU-Application DSP interface),
                SWAM ADB: JE00012140554
              * PN_SIMLOCK added,
                SWAM ADB: OK00021552023

VERSION     : 29    NON-DRAFT  11-Feb-1999         Isto Hunttila
REASON      : Corrections from last inspection + new resource ID's added.
REFERENCE   : Inspection Minutes in Lotus Notes SWAM ADB: IH99102074778
DESCRIPTION : * Added PN_TETRA_DSP_CS, PN_TETRA_DSP_TEST, PN_TETRA_DSP_CS
                Lotus Notes SWAM ADB: TH00013150636
              * Added synonym for PN_DATA => PN_CSD,
                Lotus Notes SWAM ADB: PV99123064665
              * Corrected defects found in inspection
              * Added PN_AMPS_L3, PN_CDMA_L3, PN_AMPS_FR, PN_AMPS_MODEM,
                PN_CDMA_L2, PN_CDMA_L1, PN_CSS, PN_CDMA_DSP_L1,
                PN_AMPS_DSP_L1, PN_CDMA_DSP,
                SWAM ADB: VW99071247747
              * PN_WCDMA_DSP_CS, PN_WCDMA_DSP_TEST and PN_WCDMA_CS_PH added.

VERSION     : 28    NON-DRAFT  20-Oct-1999         Isto Hunttila
REASON      : Changes.
REFERENCE   : Inspection Minutes in Lotus Notes SWAM ADB: IH99102074778
DESCRIPTION : * PN_PEP_DISABLE and PN_PEP_ENABLE values corrected (swapped)
              * New pipe messages added (PNS_PIPE_RECREATE_REQ,
                PNS_PIPE_RECREATE_RESP, PNS_PIPE_DISABLE_REQ,
                PNS_PIPE_DISABLE_RESP, PNS_PEP_DISABLE_REQ,
                PNS_PEP_DISABLE_RESP, PNS_PIPE_RECREATED_IND,
                PNS_PIPE_DISABLED_IND)

VERSION     : 27    NON-DRAFT  17-Sep-1999         Isto Hunttila
REASON      : Changes.
REFERENCE   : Inspection Minutes in Lotus Notes SWAM ADB: IH99091742628
DESCRIPTION : * Added PN_NVD, Lotus Notes SWAM ADB: JV99071366212

VERSION     : 26    NON-DRAFT  02-Aug-1999         Isto Hunttila
REASON      : Inspection defects corrected.
REFERENCE   : Inspection Minutes in Lotus Notes SWAM ADB: IH99083047168
DESCRIPTION : * Added PN_WAP_CONN
              * Branch name removed from cover page

VERSION     : 25    NON-DRAFT  30-Aug-1999         Isto Hunttila
REASON      : New constants added. Note! The offical place for this
              file has been changed. New offical place is ISA PCMS.
              Version history kept same (based on
              PHONET:PN_CONST.BASE-H;pn03#24).
REFERENCE   : Inspection Minutes in Lotus Notes SWAM ADB: IH99083047168
DESCRIPTION : * PN_TONE accepted to DCT4 resource ID's (EL99032234783)
              * PN_LIGHT accepted to DCT4 resource ID's (KN99051433923)
              * Added PN_FM_RADIO for FM Radio Server (Change Request in
                SWAM ADB: JS99070234177)
              * PN_LAST_ISI_RESOURCE_ID removed because there is no use for
                this ID.

--------------------------------------------------------------------------------

*/

/*
------------------------------------------------------------------------------
DESCRIPTION

This include file defines the PhoNet constants. Read the next note if you
missed the one in cover page:

    ==============================================================
    == NOTE! THE PN_CONST.H FILE FOUND FROM ISA                 ==
    == PCMS PRODUCT IS THE ONE AND ONLY OFFICAL VERSION!        ==
    ==                                                          ==
    == DO NOT COPY THIS FILE TO YOUR PRODUCT IF NOT NECCESSARY! ==
    == IF COPYING IS NECCESSARY, DO NOT MAKE CHANGES TO         ==
    == COPIED VERSION! DO NOT CHANGE THE COVER PAGE!            ==
    ==============================================================

This means that the defines in this file are global.

Changes to this file should be requested through a Change Request in Action DB
for SWAM. See ISI:ISI_PROCESS.BASE for further reference.

The constants in this file are tagged with some signatures. These can be used
together with "grep" to get an overview of classes of constants. Do like this:

    grep "\[S\]" pn_const.h

to find all servers.

These signatures are defined:

[M]  -  The constant defines a mediamodule
[D]  -  The constant defines a device id

[S]  -  The constant defines an approved server
[PN] -  The constant defines PhoNet system resource
[DR] -  DSP resources
[X]  -  The constant is obsolete and should not be used in new code
[R]  -  Resource like id's that is used in the code, but not associated with
        an spproved server. Not usable from PC.
[A]  -  Alias. Watch out - it might be outdated. In that case: use the official name

[O]  -  A reserved object id

------------------------------------------------------------------------------
*/

#ifndef PN_CONST_H
#define PN_CONST_H

/* === MCU memory handling styles === */
#define PN_LITTLE_ENDIAN                0x00 /* 0 LSB MSB */
#define PN_BIG_ENDIAN                   0x01 /* 1 MSB LSB */

/* === DEVice software types === */
#define PN_SW_HOST                      0x00 /* 0 */
#define PN_SW_SLAVE                     0x01 /* 1 */

/* === PhoNet header size === */
#define PN_HEADER_SIZE                  0x06 /* 6, Note data[0]/[1] excluded */

/* ==== PhoNet Header media field constants ==== */

/* === "pseudo" media === */
#define PN_MEDIA_DISCONNECTED           0x00 /* used in media modules only  */
#define PN_MEDIA_RESERVED               0x01 /* used by CM only             */

/* === Media available for users === */
/* === Note! The highest bit cannot be 1 for real medias === */

#define PN_MEDIA_GLOBAL                 0xFF /* [M] Not supported yet!!             */
#define PN_MEDIA_NOT_USED               0xFE /* [M] This media is reserved for      *
                                              *     non-PhoNet messages between     *
                                              *     tasks                           */
#define PN_MEDIA_ROUTING_REQ            0x00 /* [M] let Router select media         */
#define PN_MEDIA_OS                     0x02 /* [M] normally set by Router only     */
#define PN_MEDIA_TRUST                  0x03 /* [M] OS Trace box                    */
#define PN_MEDIA_RS232                  0x04 /* [M] RS232 media. Used by RS232      *
                                              *     media module and also by        *
                                              *     COMBOX                          */
#define PN_MEDIA_JBUS                   0x0F /* [M] JBUS in PDC phones              */
#define PN_MEDIA_STI                    0x10 /* [M] Serial Trace Interface          */

#define PN_MEDIA_MDI                    0x12 /* [M] Mcu Dsp Interface               */
#define PN_MEDIA_UDP                    0x13 /* [M] User Datagram Protocol (for     *
                                              *     Ostrich)                        */
#define PN_MEDIA_IRDA                   0x14 /* [M] IrDA                            */
#define PN_MEDIA_ENOS                   0x15 /* [M] media between NOS and EPOC sw   */

#define PN_MEDIA_INDUKTIVE              0x16 /* [M] Used in some inductive tests    */
#define PN_MEDIA_INDUCTIVE              0x16 /* [M] Used in some inductive tests */

#define PN_MEDIA_MSTI                   0x17 /* [M] Mobile Service Test Interfasce  */
#define PN_MEDIA_RF                     0x18 /* [M] Where is this used?             */
#define PN_MEDIA_BT                     0x19 /* [M] Bluetooth                       */
#define PN_MEDIA_IR                     0x1A /* [M] IR?? Where is this used?        */
#define PN_MEDIA_USB                    0x1B /* [M] USB (currently used in Ostrich) */
#define PN_MEDIA_FBUSIR                 0x1C /* [M] FBUS protocol via IR            */
#define PN_MEDIA_TCPIP                  0x1D /* [M] TCP/IP MOSIM/ESIM interface,    *
                                              *     Also used between Ostrich and   *
                                              *     PC.                             */
#define PN_MEDIA_FBUS                   0x1E /* [M] FBUS cable mode                 */
#define PN_MEDIA_MBUS                   0x1F /* [M] Good old MBUS                   */
#define PN_MEDIA_MADI                   0x20 /* [M] MCU Application DSP Interface   */
#define PN_MEDIA_DADI                   0x21 /* [M] Interface between cellular and  */
                                             /*     application DSP   */
#define PN_MEDIA_SM                     0x22 /* [M] Shared memory MM (WIN32)        */
#define PN_MEDIA_RTDX                   0x23 /* [M] Media Module used in DSP testing*/
#define PN_MEDIA_I2C                    0x24 /* [M] I2C media module for accessories*/
#define PN_MEDIA_DEFAULT                0x25 /* [M] Default Media Module            */
#define PN_MEDIA_HOST_SSI               0x26 /* [M] Media Host SSI                  */

/* === Special media values for ComBox === */
#define CB_ACKED_NAKED_SYNC_CHAR        0x55 /* Uses media field (stupid but true) */
#define CB_NONACKED_NONNAKED_SYNC_CHAR  0x99 /* Uses media field (stupid but true) */
#define CB_ACK_CHAR                     0x66 /* Uses media field (stupid but true) */
#define CB_NAK_CHAR                     0xAA /* Uses media field (stupid but true) */


/* ==== PhoNet header receiver and sender DEVice addresses ==== */

/* === Following are basically for PhoNet system use only === */
#define PN_DEV_FIRST_FIXED              0x10 /* 016 */
#define PN_DEV_LAST_DYNAMIC             0xEF /* 239 */
#define PN_DEV_NUMBER_ADD               0xF0 /* 240 */
#define PN_DEV_LN_UNKNOWN               0xF8 /* 248 */
#define PN_DEV_TEMPORARY                0xFE /* 254 Temporary device number used
                                              *     in dynamic registration */

#define PN_DEV_SLAVE_IN_WT_MODE         0x7E /* [X] 126 */
#define PN_DEV_LAST_FIXED               0x7F /* 127 */
#define PN_DEV_FIRST_DYNAMIC            0x80 /* 128 */

#define PN_DEV_HOST_IN_SLAVE_MODE       PN_DEV_LAST_FIXED

/* === Users can also use the following === */
/* == For Host (phone) there is four different device numbers == */
#define PN_DEV_HOST                     0x00 /* [D]    0 */

#define PN_DEV_DONT_CARE                0x00 /* [X]    0 */
#define PN_DEV_GLOBAL                   0xFF /* [D] 255 */
#define PN_DEV_TRACE                    0xFD /* [D] 253 for trace type of messages */

/* === Fixed Slave count === */
#define PN_FIXED_SLAVE_COUNT \
        ((PN_DEV_LAST_FIXED-PN_DEV_FIRST_FIXED)+1)

/* ==== Allocated fixed DEVice numbers ==== */

#define PN_DEV_PC                       0x10 /* [D] 16, PC tools, like PCLOCals, *
                                              *         service, FT etc.         *
                                              *         softwares                */
#define PN_DEV_DSP_TESTER               0x14 /* [D] 20, DSP tester device (PC)   *
                                              *         FMON, DAI                */
#define PN_DEV_COMBOX                   0x18 /* [D] 24, COMBOX software          */
#define PN_DEV_SECBOX                   0x20 /* [D] 32, Security Box for IMEI,   *
                                              *         ESN, Flash etc.          *
                                              *         protection               */
#define PN_DEV_FLASHBOX                 0x20 /* [D] 32, Flash box (synonym for   *
                                              *         PN_DEV_SECBOX).          */
#define PN_DEV_SIM_READER               0x30 /* [D] 48, External SIM reader      */
#define PN_DEV_BTHF                     0x34 /* [D] 52, HFW-1 (handsfree device)
                                                        + HDW-1 (headset device) */
#define PN_DEV_PU                       0x38 /* [D] 56, Phone unit (for CD941)   */
#define PN_DEV_TEST                     0x3C /* [D] 60, Test FBUS (for CD941)    */
#define PN_DEV_SERVICE_TOOL             0x40 /* [D] 64, Service tool e.g. JPV-1  */
#define PN_DEV_DATA_PIC                 0x48 /* [D] 72, Data Cable with PIC      *
                                              *     processor                */
#define PN_DEV_OSTRICH                  0x4C /* [D] 76, Ostrich                  */
#define PN_DEV_TA                       0x54 /* [D] 84, Telphone adapter in car  *
                                              *         environment              */

#define PN_DEV_FASTTRACE                0x58 /* [D] 88, Device type used by FastTrace tool */
#define PN_DEV_MODEM_HOST_1             0x5C /* [D] 92  Device for modem host 1 */
#define PN_DEV_MODEM_HOST_2             0x60 /* [D] 96  Device for modem host 2 */
#define PN_DEV_MODEM_HOST_3             0x64 /* [D] 100 Device for modem host 3 */
#define PN_DEV_MODEM_HOST_4             0x68 /* [D] 104 Device for modem host 4 */
#define PN_DEV_SOS                      0x6C /* [D] 108 Device for SOS media module */

#define PN_DEV_REMOTE_HOST              0x74 /* [D] 116, 'remote' host in host/host communication */
#define PN_DEV_DSP_AUX                  0x78 /* [D] 120, Auxiliary DSP processor */
#define PN_DEV_DSP_MAIN                 0x7C /* [D] 124, Main DSP processor      */


/* ==== Internal receiver OBJect special addresses (RECEIVER object) ==== */

/* === Following are basically for PhoNet system use only === */
#define PN_OBJ_USER_FIRST              0x01 /* 001 */
#define PN_OBJ_USER_LAST               0xEF /* 239 */

/* === Users can use the following === */
#define PN_OBJ_ROUTING_REQ             0x00 /* [O] 000, function/resource routing */
#define PN_OBJ_EVENT_MULTICAST         0x20 /* [O] 32   Events between devices should
                                                        be sent to this object    */
#define PN_OBJ_TRACE                   0xFD /* [X] 253, for trace messages.
                                                        Not supported             */
#define PN_OBJ_GLOBAL                  0xFF /* [X] 255, for globally for all      *
                                             *          objects. This is not      *
                                             *          supported yet!            *
                                             */

/* ==== Internal sender OBJect special addresses (SENDER object) ==== */
/* === Router uses this in responses === */
#define PN_OBJ_ROUTER                   0x00 /* [O] router -> object */

/* === User can use this if no response for message is waited === */
#define PN_OBJ_DONT_CARE                0x00 /* [X] object -> router */

/* === Various OPTional field identifiers === */
#define PN_OPT_SUPPORTED_MEDIA          0x01 /* 1, registration messages */
#define PN_OPT_MBUS_DATA_LEN            0x02 /* 2, registration messages */
#define PN_OPT_MBUS_BIT_RATES           0x03 /* 3, registration messages */
#define PN_OPT_FBUS_DATA_LEN            0x04 /* 4, registration messages */
#define PN_OPT_FBUS_BIT_RATES           0x05 /* 5, registration messages */

/* ==== PhoNet application FUNCTION (RESOURCE) defines ==== */

/* First define the limits, these are basically for PhoNet
 * system use only
 */
#define PN_FIRST_MCU_FUNCTION           0x00    /*   0 */

#define PN_FIRST_USER_FUNCTION          0x00    /*   0 */
#define PN_LAST_USER_FUNCTION           0xCF    /* 207 */

#define PN_FIRST_SYSTEM_FUNCTION        0xD0    /* 208 */
#define PN_LAST_SYSTEM_FUNCTION         0xDF    /* 223 */

#define PN_LAST_MCU_FUNCTION            0xE5    /* 229 */

#define PN_FIRST_DSP_FUNCTION           0xE6    /* 230 */
#define PN_LAST_DSP_FUNCTION            0xFE    /* 254 */

/* ==== Constants for PhoNet header's function (resource field) ==== */

/* Special trace resource id */
#define PN_TRACE                        0   /* 0x00  [PN] Trace messages */

/* Server resource id's (Part 1) */
#define PN_CALL                         1   /* 0x01  [S] Call Control */
#define PN_SMS                          2   /* 0x02  [S] Short Message Services */
#define PN_PHONEBOOK                    3   /* 0x03  [S] Phonebook */
#define PN_PHONE_STATUS                 4   /* 0x04  [X] */
#define PN_SETTINGS                     5   /* 0x05  [S] Settings server - initially only in CUI!!! */
#define PN_SS                           6   /* 0x06  [S] Supplementary Services */
#define PN_CUSTOM_IDLE                  7   /* 0x07  [S] Custom Idle framework Server */
#define PN_SECURITY                     8   /* 0x08  [S] PIN, PUK, etc handling   */
#define PN_SIM                          9   /* 0x09  [S] Generic SIM access etc. */
#define PN_NETWORK                      10  /* 0x0A  [S] Operator selection etc */
#define PN_AUDIO                        11  /* 0x0B  [S] Audio control */
#define PN_KEY                          12  /* 0x0C  [S] Keyboard server */
#define PN_BLACKBERRY_EMAIL             13  /* 0x0D  [S] Blackberry Email server*/
#define PN_PANEL                        14  /* 0x0E  [S] Plato panel server       */
#define PN_ECHO                         15  /* 0x0F  [R] Can be used for debugging/test */
#define PN_COMMGR                       16  /* 0x10  [PN] CM messages */
#define PN_JAVA                         17  /* 0x11  [S] Java server */
#define PN_LOCAL_CONNECTIVITY           18  /* 0x12  [S] Local connectivity server */
#define PN_CLDR                         19  /* 0x13  [S] Calendar server */
#define PN_SMS_MEMORY                   20  /* 0x14  [S] SMS memory message */
#define PN_MTC                          21  /* 0x15  [S] Mobile Terminal Control */
#define PN_CSD                          22  /* 0x16  [S] Circuit Switched Data */
#define PN_ENERGY                       23  /* 0x17  [S] Energy management */
#define PN_MENU                         24  /* 0x18  [S] Menu server */
#define PN_TIME                         25  /* 0x19  [S] Time services */
#define PN_DATA_TEST                    26  /* 0x1A  [S] Bearer/Socket test server */
#define PN_PHONE_INFO                   27  /* 0x1B  [S] Phone Info Server */
#define PN_ACCESSORY                    28  /* 0x1C  [S] Accessory server */
#define PN_UDM                          29  /* 0x1D  [S] Universal Diagnostic Monitor Support Server */
#define PN_THEME                        30  /* 0x1E  [S] UI Themes Server */
#define PN_TONE                         31  /* 0x1F  [S] Tone server */
#define PN_CAR                          32  /* 0x20  [X] */
#define PN_SOS_ADL                      33  /* 0x21  [S] SOS ADL server */
#define PN_PROVISIONING                 34  /* 0x22  [S] Provisioning Server */
#define PN_PERMANENT_DATA               35  /* 0x23  [S] Permanent Data */
#define PN_NAM                          36  /* 0x24  [S] DAMPS & CDMA NAM serverCDMA */
#define PN_FUNC_COVER                   37  /* 0x25  [S] Functional Covers interface to Java Server */
#define PN_WDP                          38  /* 0x26  [S] Wireless Datagram Protocol */
#define PN_WTLS                         39  /* 0x27  [S] Wireless Transaction Layer Security */
#define PN_WTP                          40  /* 0x28  [R] Temporaty WAP server. Will eventually not be needed */
#define PN_WSP                          41  /* 0x29  [R] Temporaty WAP server. Will eventually not be needed */
#define PN_DAMPS_CS_L1                  42  /* 0x2A  [S] DAMPS Layer 1 */
#define PN_SOCKET                       43  /* 0x2B  [S] Socket server */
#define PN_HELP                         44  /* 0x2C  [S] Help common application */
#define PN_WAE_CACHE                    45  /* 0x2D  [R] Temporaty WAP server. Will eventually not be needed */
#define PN_WAE_SCRIPT                   46  /* 0x2E  [R] Temporaty WAP server. Will eventually not be needed */
#define PN_CALLING_CARD                 47  /* 0x2F  [S] TDMA Calling card server */

#define PN_GPDS                         49  /* 0x31  [S] General Packet Radio System Server */
#define PN_GSS                          50  /* 0x32  [S] GSM Stack Server */
#define PN_MSTI                         51  /* 0x33  [S] Mobile Station Test Interface Server */
#define PN_ND                           52  /* 0x34  [X] */
#define PN_SELFTEST                     53  /* 0x35  [S] Selftest server */
#define PN_OBEX                         54  /* 0x36  [S] Obex Server */
#define PN_PRINT                        55  /* 0x37  [S] Print Server */
#define PN_MON                          56  /* 0x38  [S] Monitor server */
#define PN_UPF                          57  /* 0x39  [S] User Profile server */
#define PN_LIGHT                        58  /* 0x3A  [S] Light server */
#define PN_SWDL                         59  /* 0x3B  [F] */
#define PN_GSM_CS_PH                    60  /* 0x3C  [S] GSM CS Layer 1 */
#define PN_DSS                          61  /* 0x3D  [S] DAMPS Stack Server */
#define PN_FM_RADIO                     62  /* 0x3E  [S] FM Radio Server */
#define PN_WAP_CONN                     63  /* 0x3F  [S] WAP connectivity server. */
#define PN_TEST                         64  /* 0x40  [S] Test server */
#define PN_WALLET_SECURITY              65  /* 0x41  [S] Wallet Security Module used exclusively by Symbian */
#define PN_WARRANTY                     66  /* 0x42  [S] Warranty transfer server - TO BE RECYCLED */
#define PN_NVD                          67  /* 0x43  [S] Non volatile data server */
#define PN_SECBOX                       68  /* 0x44  [R] Used between PC<->Security Box */
#define PN_COMBOX                       69  /* 0x45  [R] Used between PC<->ComBox */
#define PN_RTSP                         70  /* 0x46  [S] Real Time Streaming Protocol */
#define PN_SENSOR                       71  /* 0x47  [S] Sensor server */
#define PN_APDU                         72  /* 0x48  [S] APDU Server */
#define PN_CONTENT_DISPATCH             73  /* 0x49  [S] Content dispatch server */
#define PN_VOICE                        74  /* 0x4A  [S] Voice server */
#define PN_EXT_SIM                      75  /* 0x4B  [X] */
#define PN_AMPS_L3                      76  /* 0x4C  [S] AMPS Layer 3 */
#define PN_AMPS_FR                      77  /* 0x4D  [S] AMPS Frame Layer */
#define PN_AMPS_MODEM                   78  /* 0x4E  [S] AMPS Modem */
#define PN_CDMA_L1                      79  /* 0x4F  [S] CDMA Layer 1 */
#define PN_CDMA_L2                      80  /* 0x50  [S] CDMA Layer 2 */
#define PN_CDMA_L3                      81  /* 0x51  [S] CDMA Layer 2 */
#define PN_CSS                          82  /* 0x52  [S] CDMA System Selection */
#define PN_SIMLOCK                      83  /* 0x53  [S] Simlock Server */
#define PN_LOCATION                     84  /* 0x54  [S] Location server */
#define PN_TODO                         85  /* 0x55  [S] ToDo Server */
#define PN_SMC                          86  /* 0x56  [S] System mode control */
#define PN_VRR                          87  /* 0x57  [S] Voice recognition and recording */
#define PN_EPOC_TEST                    88  /* 0x58  [S] EPOC test server */
#define PN_EPOC_SELFTEST                89  /* 0x59  [S] EPOC selftest server */
#define PN_ATK                          90  /* 0x5A  [S] Application ToolKit server */
#define PN_WCDMA_CS_PH                  91  /* 0x5B  [S] WCDMA CS Physical Layer */
#define PN_SYNCML                       92  /* 0x5C  [S] SyncML server */
#define PN_VERSIT                       93  /* 0x5D  [S] Versit server */
#define PN_EPOC_MON                     94  /* 0x5E  [S] EPOC side monitor server */
#define PN_CDMA_RLP                     95  /* 0x5F  [S] CDMA Data - RLP Server */
#define PN_BEARERCTRL                   96  /* 0x60  [S] Bearer control (application access to GPRS bearer) */
#define PN_CAMERA                       97  /* 0x61  [S] Camera server */
#define PN_EPOC_INFO                    98  /* 0x62  [S] EPOC side info server */
#define PN_WALLET                       99  /* 0x63  [S] Wallet server */
#define PN_LCIF                         100 /* 0x64  [S] Local Connectivity InterFace server */
#define PN_IMPS_CONTACTS                101 /* 0x65  [S] IMPS Contacts Server */
#define PN_MESSAGING                    102 /* 0x66  [S] Messaging services */
#define PN_POC                          103 /* 0x67  [S] POC server (Push-to-talk over Cellular) */
#define PN_HTTPSRV                      104 /* 0x68  [S] HTTP server side functionality */
#define PN_IMODE_MAIL                   105 /* 0x69  [S] IMODE mail server */
#define PN_IMODE_PAGE_LOADER            106 /* 0x6A  [S] IMODE page loader server */
#define PN_HTTP                         107 /* 0x6B  [S] HTTP 1.1 protocol over TCP/IP */
#define PN_SSL                          108 /* 0x6C  [S] Secure Sockets Layer server */
#define PN_FILE                         109 /* 0x6D  [S] File Manager Server */
#define PN_BLUETOOTH                    110 /* 0x6E  [S] BlueTooth Server */
#define PN_ADL                          111 /* 0x6F  [S] Auxiliary DownLoad Server - For reflashing */
#define PN_TOUCHPAD                     112 /* 0x70  [S] Touchpad server */
#define PN_WIM                          113 /* 0x71  [S] Wireless Identity Module and Certificates */
#define PN_CONCIERGE                    114 /* 0x72  [S] "Concierge" server */
#define PN_SIP                          115 /* 0x73  [S] Session Initiation Protocol server */
#define PN_RTP                          116 /* 0x74  [S] Real-time Transport Protocol server */
#define PN_MUSIC                        117 /* 0x75  [S] Music server - access to music codecs */
#define PN_IMPS                         118 /* 0x76  [S] Instant Messaging and Presence Service Server */
#define PN_TUNEPLAYER                   119 /* 0x77  [S] Tune Player server */
#define PN_ACC                          120 /* 0x78  [S] Accesory message. Comes from DCT3 accesories  */
#define PN_ACC_IND                      121 /* 0x79  [X] */
#define PN_GARBAGE                      122 /* 0x7A  [S] UI settings */
#define PN_SPR                          123 /* 0x7B  [X] */
#define PN_OSTRICH                      124 /* 0x7C  [R] Used between PC<->Ostrich box */
#define PN_LOCATION_STORAGE             125 /* 0x7D  [S] Location UI Server */
#define PN_CORESW_DSP                   126 /* 0x7E  [S] CoreSW MCU task for DSP code download */
#define PN_ACK                          127 /* 0x7F  [PN] PhoNet Acknowledge messages */
#define PN_BLUETOOTH_CORE               128 /* 0x80  [S]  BlueTooth core server */
#define PN_I2C                          129 /* 0x81  [S]  I2C core server */

/* === Project specific resources. Can be redefined in pn_conf.h  === */
#define PN_PRJ_RESOURCE_A               130 /* 0x82  [R] Project specific resource id A */
#define PN_PRJ_RESOURCE_B               131 /* 0x83  [R] Project specific resource id B */
#define PN_PRJ_RESOURCE_C               132 /* 0x84  [R] Project specific resource id C */
#define PN_PRJ_RESOURCE_D               133 /* 0x85  [R] Project specific resource id D */
#define PN_PRJ_RESOURCE_E               134 /* 0x86  [R] Project specific resource id E */
#define PN_PRJ_RESOURCE_F               135 /* 0x87  [R] Project specific resource id F */
#define PN_PRJ_RESOURCE_G               136 /* 0x88  [R] Project specific resource id G */
#define PN_PRJ_RESOURCE_H               137 /* 0x89  [R] Project specific resource id H */
#define PN_PRJ_RESOURCE_I               138 /* 0x8A  [R] Project specific resource id I */
#define PN_PRJ_RESOURCE_J               139 /* 0x8B  [R] Project specific resource id J */

/* Server resource id's (Part 2) */
#define PN_UICC                         140 /* 0x8C  [S] Universal Integrated Circuit Card */
#define PN_MODEM_SIM_SRV                141 /* 0x8D  [S] Modem SIM Server, MSS */
#define PN_AT_MODEM                     142 /* 0x8E  [S] AT Modem Server */
#define PN_AT_APPL                      143 /* 0x8F  [S] AT Application Server */
#define PN_MODEM_LCS                    144 /* 0x90  [S] Modem LCS Server */
#define PN_MODEM_TEST                   145 /* 0x91  [S] Modem Test Server */

#define PN_ODIN                         148 /* 0x94  [S] Open Dynamic INterface server */
#define PN_WTA                          149 /* 0x95  [S] Wireless Telephony Application server */

/* Other CDMA specific resource */
#define PN_CDMA_DSP_DO_L1               154 /* 0x9A  [S] CDMA DSP Layer 1 Data
                                                         Only/Optimized server */
#define PN_CDMA_DO_CTRL                 155 /* 0x9B  [S] CDMA Data Only Control */
#define PN_CDMA_DO_DATA                 156 /* 0x9C  [S] CDMA Data Only Data */

/* Server resource id's (Part 3) */
#define PN_PRI                          157 /* 0x9D  [S] Programmable Requirements Interface
                                                         Server */
#define PN_VAM                          158 /* 0x9E  [S] Verizona Access Manager Server */
#define PN_WWAN                         159 /* 0x9F  [S] Wireless Wide Area Network Server */
#define PN_INTELLIGENT_ACC              160 /* 0xA0  [S] Generic intelligent accessory interface */
#define PN_IMS                          161 /* 0xA1  [S] IP Multimedia Subsystem (IMS) and
                                                         Session Initiation Protocol (SIP)
                                                         services.*/
#define PN_SOS_PERM                     162 /* 0xA2  [S] SOS PERManent Server */
#define PN_POC_UI                       163 /* 0xA3  [S] PoC UI Engine Server */
#define PN_PRESENCE                     164 /* 0xA4  [S] Presence server */
#define PN_XCAP                         165 /* 0xA5  [S] XML Configuration Access Protocol Server */
#define PN_POC_GROUP                    166 /* 0xA6  [S] POC Group Server */
#define PN_ISA_SETTINGS                 167 /* 0xA7  [S] Common Settings Module Server */
#define PN_MCL_ENGINE                   168 /* 0xA8  [S] Media Communication Library Engine */
#define PN_TRACFONE                     169 /* 0xA9  [S] TRACFONE carrier pre-paid feature */
#define PN_MESSAGE_STORAGE              170 /* 0xAA  [S] Message Storage Server */
#define PN_MESSAGE_PROTOCOL             171 /* 0xAB  [S] Multimedia and E-mail Services Server */
#define PN_VTBTEST                      172 /* 0xAC  [S] Vertu Bus Test server   */
#define PN_DP2DL                        173 /* 0xAD  [S] DP2 Download Agent Server */
#define PN_IP_COMMS                     174 /* 0xAE  [S] IP Communications Server */
#define PN_HARDCORE                     175 /* 0xAF  [S] TSS Hardware access server */
#define PN_SOS_UMA                      176 /* 0xB0  [S] UMA Symbian Controller Server */
#define PN_VIDEO_PROTOCOL               177 /* 0xB1  [S] Video Protocol Server */
#define PN_WLAN                         178 /* 0xB2  [S] Wireless LAN (WLAN) connectivity Server */
#define PN_NEWS_DELIVERY                179 /* 0xB3  [S] News Delivery Server */
#define PN_WRAN                         180 /* 0xB4  [S] WCDMA Radio Factory Server*/
#define PN_EUTRAN_L2                    181 /* 0xB5  [S] EUTRAN L2 layers towards MACN layers server */
#define PN_EUTRAN_L1                    182 /* 0xB6  [S] EUTRAN L1 layer server */
#define PN_RF_HAL                       183 /* 0xB7  [S] RF control and tuning server */
#define PN_IM                           184 /* 0xB8  [S] Instance Message Engine Server */
#define PN_NATT                         185 /* 0xB9  [S] Timing & NAT Traversal (TNT) Server */
#define PN_BACKUP                       186 /* 0xBA  [S] Backup Server */
#define PN_FIM                          187 /* 0xBB  [S] File Identity Manager Server */
#define PN_MOB_POLICY                   188 /* 0xBC  [S] Mobility Policy (MOP) Server */
#define PN_LANDMARK                     189 /* 0xBD  [S] Landmark Server */
#define PN_MOBICAST                     190 /* 0xBE  [S] Mobile Broadcast Services Server */
#define PN_FWD_ERR_CORR                 191 /* 0xBF  [S] Forward Error Correction (FEC) Server */
#define PN_GBA                          192 /* 0xC0  [S] Generic Bootstrapping Architecture (GBA) Server */
#define PN_DYNAMIC_LOADER               193 /* 0xC1  [S] Dynamic Loader Server */
#define PN_MODEM_MCE                    194 /* 0xC2  [S] Modem MCE Server */
#define PN_MODEM_MON_2                  195 /* 0xC3  [S] Modem HW Monitor 2 server */
#define PN_MODEM_MON_3                  196 /* 0xC4  [S] Modem HW Monitor 3 server */
#define PN_MODEM_INFO                   197 /* 0xC5  [S] Modem Info Server */
#define PN_RESOURCE_MANAGER             198 /* 0xC6  [S] Resource Manager server */
#define PN_VENDOR_SPECIFIC_TESTS        199 /* 0xC7  [S] Vendor specific production related tests for S40 Chipsets, e.g. RF etc */
#define PN_MODEM_NETWORK                200 /* 0xC8  [S] NET Server in Modem SW, related to PN_NETWORK */
#define PN_MODEM_CALL                   201 /* 0xC9  [S] CALL Server in Modem SW, related to PN_CALL */
#define PN_METADATA                     202 /* 0xCA  [S] Generic Metadata System Server Interface */

#define PN_EAP_AUTH                     206 /* 0xCE  [S] Extensible Authentication Protocol Server */
#define PN_MY5                          207 /* 0xCF  [S] My5 Protocol server */

/* === PhoNet system resources === */
#define PN_REGISTRATION                 208 /* 0xD0  [PN] PhoNet registration Messages */
#define PN_RPC_REQ                      209 /* 0xD1  [PN] Remote Procedure Call requests */
#define PN_RPC_RESP                     210 /* 0xD2  [PN] Remote Procedure Call responses */
#define PN_CONFIG                       211 /* 0xD3  [X] */
#define PN_SLAVE_LOGOUT                 212 /* 0xD4  [X] */
#define PN_ERROR_INFO                   213 /* 0xD5  [X] */
#define PN_DEV_CONNECTION_INFO          214 /* 0xD6  [X] */
#define PN_MEDIA_CONTROL                215 /* 0xD7  [PN] Media Module Control Messages */
#define PN_MEDIA_REQUEST                216 /* 0xD8  [X] Check Rasmus */
#define PN_PIPE                         217 /* 0xD9  [PN] Pipe Messages */
#define PN_ALIVE                        218 /* 0xDA  [PN] PhoNet alive messages */
#define PN_NAMESERVICE                  219 /* 0xDB  [PN] Name Service Messages */
#define PN_ROUTER                       220 /* 0xDC  [PN] Router indications */
#define PN_LN_EE_RESPONSE               221 /* 0xDD  [X] */
#define PN_AUTHENTICATION               222 /* 0xDE  [X] Used for SuperDongle challenge/response */
#define PN_UNUSED_SYSTEM_RES_1          223 /* 0xDF  [X] */

#define PN_PREFIX                       224 /* 0xE0  [P] Enhanced resource id message */
#define PN_PRIVATE                      225 /* 0xE1  [P] Private interface messages */

/* Server resource id's (Part 4) */
#define PN_SOS_AUDIO                    226 /* 0xE2  [S] SOS Audio Server */
#define PN_UI_STARTUP_CTRL              227 /* 0xE3  [S] Startup Control Server */
#define PN_KODIAK                       228 /* 0xE4  [S] KODIAK PoC Server */
#define PN_PAYLOAD_TEST                 229 /* 0xE5  [S] Payload Test Server */

/* === DSP resources === */
#define PN_DSP_CORE                     230 /* 0xE6  [DR] */
#define PN_DSP_VIDEO                    231 /* 0xE7  [DR] */
#define PN_DSP_VOICE                    232 /* 0xE8  [DR] */
#define PN_DSP_MIDI                     233 /* 0xE9  [DR] */
#define PN_ADSP_CORE                    234 /* 0xEA  [DR] */
#define PN_DSP_SELF_TEST                235 /* 0xEB  [DR] */
#define PN_DSP_COMMON_TEST              236 /* 0xEC  [DR] */
#define PN_WCDMA_DSP_CS                 237 /* 0xED  [DR] */
#define PN_WCDMA_DSP_TEST               238 /* 0xEE  [DR] */

#define PN_GSM_DSP_CS                   240 /* 0xF0  [DR] */
#define PN_GSM_DSP_TEST                 241 /* 0xF1  [DR] */
#define PN_GSM_DSP                      242 /* 0xF2  [DR] */
#define PN_DSP_AUDIO                    243 /* 0xF3  [DR] */
#define PN_DAMPS_DSP_CS                 244 /* 0xF4  [DR] */
#define PN_DAMPS_DSP_TEST               245 /* 0xF5  [DR] */
#define PN_DAMPS_DSP                    246 /* 0xF6  [DR] */
#define PN_TETRA_DSP                    247 /* 0xF7  [DR] */
#define PN_TETRA_DSP_TEST               248 /* 0xF8  [DR] */
#define PN_TETRA_DSP_CS                 249 /* 0xF9  [DR] */
#define PN_CDMA_DSP_L1                  250 /* 0xFA  [DR] */
#define PN_AMPS_DSP_L1                  251 /* 0xFB  [DR] */
#define PN_CDMA_DSP                     252 /* 0xFC  [DR] */
#define PN_DSP_GPRS                     253 /* 0xFD  [DR] */
#define PN_DSP_MUSIC                    254 /* 0xFE  [DR] */
#define PN_NO_ROUTING                   255 /* 0xFF */

/******* Extended resource id's *********************/

/* Resource types */
#define PN_RES_TYPE_SOS                   2 /* 0x02 Resources related to SOS */
#define PN_RES_TYPE_SOS_FIELD_TEST        3 /* 0x03 Reserved for identifying S60 owned FTD items,
                                                    no PhoNet resource routing applied for this type.
                                                    The extended resource IDs themselves are defined
                                                    by S60 CellMo adaptation SW elsewhere */
#define PN_RES_TYPE_ISA                   4 /* 0x04 Resources related to ISA */

/* Macro handling extended resource id's */
#define PN_RES(Type, SubType)    (PN_PREFIX  + (Type << 8) + (SubType <<16))

/* === Constants related to extended resource id's === */
#ifdef CL_CANTATA_TEST_ENV
/* Only used in work station test */
#define PN_NUMBER_OF_EXTEND_RES        3 /* Number of extended resources in Test envir. */
#else
#define PN_NUMBER_OF_EXTEND_RES        7 /* Number of extended resources */
#endif

#define PN_NUMBER_OF_NOT_EXTEND_RES  256 /* Number of resources in 8 bits */

#define PN_TOTAL_NUMBER_OF_RES   (PN_NUMBER_OF_NOT_EXTEND_RES + PN_NUMBER_OF_EXTEND_RES)

/* Extended resources number example:
   3rd byte.Value        = PN_SOS_MOBILECRASH_EXTENDED
   2nd byte. Value       = PN_RES_TYPE_SOS
   1st byte(LSB). Value  = PN_PREFIX = 0x0E */

/* Extended resources of type: 'PN_RES_TYPE_SOS' */
#define PN_SOS_MOBILECRASH_EXTENDED     PN_RES(PN_RES_TYPE_SOS,1)   /* 0x0102E0  [S] Symbian Mobile Crash Software Server */
/* Extended resources of type: 'PN_RES_TYPE_ISA' */
#define PN_MAPS_EXTENDED                PN_RES(PN_RES_TYPE_ISA,1)   /* 0x0104E0  [S] Maps Server */
#define PN_CONTEXT_EXTENDED             PN_RES(PN_RES_TYPE_ISA,2)   /* 0x0204E0  [S] Context Server */
#define PN_NAPPS_EXTENDED               PN_RES(PN_RES_TYPE_ISA,3)   /* 0x0304E0  [S] Native Application Server */
#define PN_NOKIA_ACCOUNT_EXTENDED       PN_RES(PN_RES_TYPE_ISA,4)   /* 0x0404E0  [S] Nokia Account Server */
#define PN_VOLUME_EXTENDED              PN_RES(PN_RES_TYPE_ISA,5)   /* 0x0504E0  [S] Volume Control Server */
#define PN_SM_ROUTER_EXTENDED           PN_RES(PN_RES_TYPE_ISA,6)   /* 0x0604E0  [S] Short Message Router Server */


/* === Old DSP functions. MUST NOT BE USED === */
#define PN_DATA_SEND                    240 /* 0xF0  [X] */
#define PN_RECEIVED_DATA                241 /* 0xF1  [X] */
#define PN_AUDIO_SEND                   242 /* 0xF2  [X] */
#define PN_RECEIVED_AUDIO               243 /* 0xF3  [X] */
#define PN_DSP_TEST_CONTROL             244 /* 0xF4  [X] */
#define PN_DSP_TRACE                    245 /* 0xF5  [X] */
#define PN_DAI_INTERFACE                246 /* 0xF6  [X] */
#define PN_FAST_AT_INPUT                247 /* 0xF7  [X] */
#define PN_FAST_AT_OUTPUT               248 /* 0xF8  [X] */
#define PN_AUDIO_AND_CTRL               249 /* 0xF9  [X] */

/* Aliases. Approved */
#define PN_SIM_ATK                      PN_ATK           /* [A] SIM Application ToolKit */
#define PN_FEATURE_CONTROL              PN_BEARERCTRL    /* [A] Feature Control (application access
                                                               to phone resources) */
#define PN_UTS                          PN_UDM           /* [A] Universal Tool Suite Support Server */
#define PN_SOS_TEST                     PN_EPOC_TEST     /* [A]  */
#define PN_SOS_SELFTEST                 PN_EPOC_SELFTEST /* [A]  */
#define PN_SOS_MON                      PN_EPOC_MON      /* [A] Symbian tracing */
#define PN_MEDIA_SOS                    PN_MEDIA_ENOS    /* [A] SOS media module */
#define PN_MEDIA_TRANSFER               PN_PRINT         /* [A] Media Transfer Server
                                                                (Previous Print Server) */
#define PN_COMMON                       PN_NVD           /* [A] Common server */
#define PN_TRACEBOX                     PN_OSTRICH       /* [A] Used between PC<->Ostrich box */
#define PN_DEV_TRACEBOX                 PN_DEV_OSTRICH   /* [A] Ostrich */
#define PN_HAL_AUDIO                    PN_DSP_AUDIO     /* [A] Chipset Audio HAL */

/* Aliases. Outdated */
#define PN_UI_SETTINGS                  PN_SETTINGS     /* [X] [A] */
#define PN_MEDIA_LPRF                   PN_MEDIA_BT     /* [X] [A] */
#define PN_EVENT_MANAGE                 PN_COMMGR       /* [X] [A] */
#define PN_POWER                        PN_MTC          /* [X] [A] */
#define PN_DATA                         PN_CSD          /* [X] [A] */
#define PN_CLOCK                        PN_TIME         /* [X] [A] */
#define PN_INFO                         PN_PHONE_INFO   /* [X] [A] */
#define PN_GPRS                         PN_GPDS         /* [X] [A] */
#define PN_PRNT                         PN_PRINT        /* [X] [A] */
#define PN_LOC                          PN_TEST         /* [X] [A] */
#define PN_LOC_WT                       PN_WARRANTY     /* [X] [A] */
#define PN_FLASHBOX                     PN_SECBOX       /* [X] [A] */
#define PN_VCS                          PN_VERSIT       /* [X] [A] */
#define PN_VCF                          PN_VERSIT       /* [X] [A] */
#define PN_RPC_RES                      PN_RPC_RESP     /* [X] [A] */
#define PN_NAME_SERVICE                 PN_NAMESERVICE  /* [X] [A] */
#define PN_NET                          PN_NETWORK      /* [X] [A] */

/* === PN_DEV_CONNECTION_INFO sub functions === */
#define PNS_DEV_CONNECTED              0x01 /* 1 */
#define PNS_DEV_DISCONNECTED           0x02 /* 2 */

/* === PN_ERROR_INFO sub functions === */
#define PNS_FAIL_REGISTRATION          0x01 /* 1 */
#define PNS_FAIL_SYSTEM_REQ            0x02 /* 2 */
#define PNS_FAIL_FUNCTION_ROUTING      0x03 /* 3 */
#define PNS_FAIL_OBJECT_ROUTING        0x04 /* 4 */
#define PNS_FAIL_MSG_SENDING           0x05 /* 5 */
#define PNS_FAIL_DEV_INACTIVE          0x06 /* 6 */
#define PNS_FAIL_OS_MBX_FULL           0x07 /* 7 */



/* Due to backward compatibility the below files need to be included
 * in pn_const.h. These files contain defintions that previously were defined
 * in pn_const.h. The flag: PRODUCT_INCLUDES_PHONET is defined in product.h
   and ensures that these files are included in MCU software */

/* If you only are interested in the definitions in this file and not the
 * definitions in the included files below you can set the following flag: */
/* #define PN_CONST_DONT_INCLUDE_HEADER_FILES */

/* If you want to be sure the header files below are included define the
 * following flag */
/* #define PN_CONST_INCLUDE_HEADER_FILES */

#if (!defined(PN_CONST_DONT_INCLUDE_HEADER_FILES)) && (defined(PRODUCT_INCLUDES_PHONET) || defined(PN_CONST_INCLUDE_HEADER_FILES))

/* The flag below ensures that only definitions previosly found in pn_const.h
 * are included */
#define PN_INCLUDED_FROM_PN_CONST
#include "pn_name.h"
#include "pn_name_msg.h"
#include "pn_media_msg.h"
#include "pn_pipe_shared_isi.h"
#include "pn_rpc_msg.h"
#include "pn_event_msg.h"
#undef PN_INCLUDED_FROM_PN_CONST
#endif /* #ifndef(PN_CONST_DONT_INCLUDE_HEADER_FILES) && (defined(PRODUCT_INCLUDES_PHONET) || defined (PN_CONST_INCLUDE_HEADER_FILES)) */

#endif /* #ifndef PN_CONST_H */

/*  End of pn_const.h  */
